# DataExchange
TKIGES
IGESAppli

# IGESAppli_NodalDisplAndRot Class Reference

defines NodalDisplAndRot, Type <138> Form <0>
in package IGESAppli
Used to communicate finite element post processing
data.

`#include <IGESAppli_NodalDisplAndRot.hxx>`

Inheritance diagram for IGESAppli_NodalDisplAndRot:

[legend]

## Public Member Functions

Standard_EXPORT | IGESAppli_NodalDisplAndRot ()
Standard_EXPORT void | Init (const Handle(IGESDimen_HArray1OfGeneralNote)&allNotes, const Handle(TColStd_HArray1OfInteger)&allIdentifiers, const Handle(IGESAppli_HArray1OfNode)&allNodes, const Handle(IGESBasic_HArray1OfHArray1OfXYZ)&allRotParams, const Handle(IGESBasic_HArray1OfHArray1OfXYZ)&allTransParams)

This method is used to set the fields of the class
NodalDisplAndRot
- allNotes : Used to store the general note describing
the analysis cases
- allIdentifiers : Used to store the node number
identifier for the nodes
- allNodes : Used to store the nodes
- allRotParams : Used to store the rotation for the nodes
- allTransParams : Used to store the incremental
displacements for the nodes
raises exception if Lengths of allIdentifiers, allNodes,
allRotParams, and allTransParams are not same
or if length of allNotes and size of each element of allRotParams
and allTransParam are not same
.

Standard_EXPORT Standard_Integer | NbCases () const
| returns the number of analysis cases
Standard_EXPORT Standard_Integer | NbNodes () const
| returns the number of nodes
Standard_EXPORT Handle_IGESDimen_GeneralNote | Note (const Standard_Integer Index) const
| returns the General Note that describes the Index analysis case raises exception if Index <= 0 or Index > NbCases
Standard_EXPORT Standard_Integer | NodeIdentifier (const Standard_Integer Index) const
| returns the node identifier as specified by the Index raises exception if Index <= 0 or Index > NbNodes
Standard_EXPORT Handle_IGESAppli_Node | Node (const Standard_Integer Index) const
| returns the node as specified by the Index raises exception if Index <= 0 or Index > NbNodes
Standard_EXPORT gp_XYZ | TranslationParameter (const Standard_Integer NodeNum, const Standard_Integer CaseNum) const
| returns the Translational Parameters for the particular Index Exception raised if NodeNum <= 0 or NodeNum > NbNodes() or CaseNum <= 0 or CaseNum > NbCases()
Standard_EXPORT gp_XYZ | RotationalParameter (const Standard_Integer NodeNum, const Standard_Integer CaseNum) const
| returns the Rotational Parameters for Index Exception raised if NodeNum <= 0 or NodeNum > NbNodes() or CaseNum <= 0 or CaseNum > NbCases()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_IGESDimen_HArray1OfGeneralNote | theNotes
Handle_TColStd_HArray1OfInteger | theNodeIdentifiers
Handle_IGESAppli_HArray1OfNode | theNodes
Handle_IGESBasic_HArray1OfHArray1OfXYZ | theTransParam
Handle_IGESBasic_HArray1OfHArray1OfXYZ | theRotParam

## Constructor & Destructor Documentation

Standard_EXPORT IGESAppli_NodalDisplAndRot::IGESAppli_NodalDisplAndRot | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESAppli_NodalDisplAndRot::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESAppli_NodalDisplAndRot::Init | ( | const Handle(IGESDimen_HArray1OfGeneralNote)& | allNotes,
|  | const Handle(TColStd_HArray1OfInteger)& | allIdentifiers,
|  | const Handle(IGESAppli_HArray1OfNode)& | allNodes,
|  | const Handle(IGESBasic_HArray1OfHArray1OfXYZ)& | allRotParams,
|  | const Handle(IGESBasic_HArray1OfHArray1OfXYZ)& | allTransParams
| ) |

Standard_EXPORT Standard_Integer IGESAppli_NodalDisplAndRot::NbCases | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESAppli_NodalDisplAndRot::NbNodes | ( |  | ) | const

Standard_EXPORT Handle_IGESAppli_Node IGESAppli_NodalDisplAndRot::Node | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT Standard_Integer IGESAppli_NodalDisplAndRot::NodeIdentifier | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT Handle_IGESDimen_GeneralNote IGESAppli_NodalDisplAndRot::Note | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT gp_XYZ IGESAppli_NodalDisplAndRot::RotationalParameter | ( | const Standard_Integer | NodeNum,
|  | const Standard_Integer | CaseNum
| ) | const

Standard_EXPORT gp_XYZ IGESAppli_NodalDisplAndRot::TranslationParameter | ( | const Standard_Integer | NodeNum,
|  | const Standard_Integer | CaseNum
| ) | const

## Field Documentation

Handle_TColStd_HArray1OfInteger IGESAppli_NodalDisplAndRot::theNodeIdentifiers `[private]`

Handle_IGESAppli_HArray1OfNode IGESAppli_NodalDisplAndRot::theNodes `[private]`

Handle_IGESDimen_HArray1OfGeneralNote IGESAppli_NodalDisplAndRot::theNotes `[private]`

Handle_IGESBasic_HArray1OfHArray1OfXYZ IGESAppli_NodalDisplAndRot::theRotParam `[private]`

Handle_IGESBasic_HArray1OfHArray1OfXYZ IGESAppli_NodalDisplAndRot::theTransParam `[private]`

The documentation for this class was generated from the following file:

- IGESAppli_NodalDisplAndRot.hxx